# XmComboBox

Section: LessTif Manuals (3)
Updated: April 1998
Index
Return to Main Contents

## NAME

XmComboBox - Motif-compatible combination-box widget

## SYNOPSIS

#include <Xm/ComboBox.h>

XmComboBox

XmCreateComboBox

## DESCRIPTION

XmComboBox

## X RESOURCES

Name | Class | Type | Default | Access

XmNarrowSize | XmCArrowSize | HorizontalDimension | NULL | CSG
XmNarrowSpacing | XmCArrowSpacing | HorizontalDimension | NULL | CSG
XmNcomboBoxType | XmCComboBoxType | ComboBoxType | NULL | CSG
XmNfontList | XmCFontList | FontList | NULL | CSG
XmNhighlightThickness | XmCHighlightThickness | HorizontalDimension | NULL | CSG
XmNmarginWidth | XmCMarginWidth | HorizontalDimension | NULL | CSG
XmNmarginHeight | XmCMarginHeight | VerticalDimension | NULL | CSG
XmNmatchBehavior | XmCMatchBehavior | MatchBehavior | NULL | CSG
XmNrenderTable | XmCRenderTable | RenderTable | NULL | CSG
XmNselectedItem | XmCSelectedItem | XmString | NULL | CSG
XmNselectedPosition | XmCSelectedPosition | Int | 0 | CSG
XmNselectionCallback | XmCCallback | Callback | NULL | CSG
XmNshadowThickness | XmCShadowThickness | HorizontalDimension | NULL | CSG

XmNarrowSize

XmNarrowSpacing

XmNcomboBoxType

XmNfontList

XmNhighlightThickness

XmNmarginWidth

XmNmarginHeight

XmNmatchBehavior

XmNrenderTable

XmNselectedItem

XmNselectedPosition

XmNselectionCallback

XmNshadowThickness

## CLASS HIERARCHY

XObject(3) Rect(3) UnNamedObj(3) XCore(3) Composite(3) Constraint(3) XmManager(3) XmComboBox(3)

## CALLBACKS

## CONVENIENCE FUNCTIONS

## SEE ALSO

## Index

NAME
SYNOPSIS
DESCRIPTION
X RESOURCES
CLASS HIERARCHY
CALLBACKS
CONVENIENCE FUNCTIONS
SEE ALSO

This document was created by man2html, using the manual pages.